Skip to main content
cURL
curl --request GET \
  --url https://api.campflare.com/v2/lands/search
import requests

url = "https://api.campflare.com/v2/lands/search"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.campflare.com/v2/lands/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "lands": [
    {
      "name": "<string>",
      "id": "<string>",
      "latitude": 123,
      "longitude": 123,
      "connections": {
        "wikipedia": "<string>",
        "wikidata": "<string>"
      }
    }
  ]
}
{
"error": {
"message": "<string>",
"kind": "<string>"
}
}
GET /lands/search

Query Parameters

point
string

Formatted as "{latitude},{longitude}". Gets all of the lands that contain that point. For example, searching at coordinates in Yosemite would return, Yosemite National Park, Fresno County, California, etc

query
string

Search query string to fuzzy match on.

Response

Array of lands

lands
object[]
required